> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction matches by hash

> Return transaction matches with a hash, network, height, and timestamp.



## OpenAPI

````yaml api-reference/data-api.json get /v1/network/transactions/search
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/transactions/search:
    get:
      tags:
        - Network Information
      summary: Get search results
      description: >-
        Look up indexed transactions by exact transaction hash. Returns matching
        transactions with their network, height, and timestamp when found.
      operationId: getTxSearch
      parameters:
        - name: hash
          required: true
          in: query
          description: Transaction hash
          schema:
            example: '0xe6497e3ee548a3372136af2fcb0696db31fc6cf20260707645068bd3fe97f3c4'
            type: string
      responses:
        '200':
          description: List of transactions with metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSearchResults'
components:
  schemas:
    TransactionSearchResults:
      type: object
      properties:
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionSearchResult'
      required:
        - transactions
    TransactionSearchResult:
      type: object
      properties:
        hash:
          type: string
        height:
          type: string
        network:
          type: string
        time:
          type: string
      required:
        - hash
        - height
        - network
        - time
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.